# MessageEntry.BodyExtension (Google Data APIs Client Library (1.43.0))
Date: 2011-02-04

# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Class MessageEntry.BodyExtension

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.webmastertools.MessageEntry.BodyExtension

All Implemented Interfaces:
  Extension

Enclosing class:
  MessageEntry

    public static class MessageEntry.BodyExtension

extends ValueConstruct

Value construct to represent
field.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MessageEntry.BodyExtension()`

Method Summary

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageEntry.BodyExtension

    public MessageEntry.BodyExtension()